| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csNormalMappingTools Member List

This is the complete list of members for csNormalMappingTools, including all inherited members.

CalculateTangents(size_t numTriangles, const csTriangle *triangles, size_t numVertices, const csVector3 *vertices, const csVector3 *normals, const csVector2 *texcoords, csVector3 *outTangents, csVector3 *outBitangents) | csNormalMappingTools | `[static]`